OpenVDB 13.0.0

Loading...
Searching...
No Matches
ISMeanCurvature< DiffScheme2, DiffScheme1 > Struct Template Reference

Compute the mean curvature in index space. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor>
static bool | result (const Accessor &grid, const Coord &ijk, typename Accessor::ValueType &alpha, typename Accessor::ValueType &beta)
| Random access version.
template<typename StencilT>
static bool | result (const StencilT &stencil, typename StencilT::ValueType &alpha, typename StencilT::ValueType &beta)
| Stencil access version.

## Detailed Description

template<DDScheme DiffScheme2, DScheme DiffScheme1>
struct openvdb::v13_0::math::ISMeanCurvature< DiffScheme2, DiffScheme1 >

Compute the mean curvature in index space.

## Member Function Documentation

## ◆ result() [1/2]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename Accessor>

bool result | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | typename Accessor::ValueType & | alpha,
|  | typename Accessor::ValueType & | beta )
| inline static

Random access version.

Returns
  `true` if the gradient is nonzero, in which case the mean curvature is returned in two parts, alpha and beta, where alpha is the numerator in ∇ · (∇Φ / |∇Φ|) and beta is |∇Φ|.

## ◆ result() [2/2]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename StencilT>

bool result | ( | const StencilT & | stencil,
|  | typename StencilT::ValueType & | alpha,
|  | typename StencilT::ValueType & | beta )
| inline static

Stencil access version.

Returns
  `true` if the gradient is nonzero, in which case the mean curvature is returned in two parts, alpha and beta, where alpha is the numerator in ∇ · (∇Φ / |∇Φ|) and beta is |∇Φ|.